Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi.flexspi.common.capability
Class FeatureCapabilityDefinition

    java.lang.Object
      com.bea.content.spi.flexspi.common.capability.FeatureCapabilityDefinition

All Implemented Interfaces
  ICapabilityDefinition

    public final class FeatureCapabilityDefinition

extends Object
implements ICapabilityDefinition

Constructor Summary
`FeatureCapabilityDefinition(String interfaceName, IFeatureCapabilityType featureCapability)` Constructor

Method Summary
`static String` | `buildId(String interfaceName, String featureName)` Build hte id for the feature capability definition.
`static String` | `buildName(String interfaceName, String featureName)` Build the name for the feature capability definition.
`boolean` | `equals(Object obj)` Indicates whether some other object is "equal to" this one.
`IFeatureCapabilityType` | `getFeatureCapability()` Get the feature capability type for this feature capability definition.
`String` | `getId()`
`String` | `getInterfaceName()` Get the interface name for this feature capability definition.
`String` | `getName()`
`CapabilityType` | `getType()`
`int` | `hashCode()` Returns a hash code value for the object.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureCapabilityDefinition

    public FeatureCapabilityDefinition(String interfaceName,
                                       IFeatureCapabilityType featureCapability)

  Constructor

  Parameters
    `interfaceName` - The SPI interface name for the feature.
    `featureCapability` - The feature capability.

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `ICapabilityDefinition`
  Returns
    the name of the capability definition. Note that there may be multiple capabilities with the same name (but different types).

### getType

    public CapabilityType getType()

  Specified by:
    `getType` in interface `ICapabilityDefinition`
  Returns
    the type of capability (basic, named, etc)

### getId

    public String getId()

  Specified by:
    `getId` in interface `ICapabilityDefinition`
  Returns
    a unique id for the capability

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns
    a string representation of the object (the same as getId())

### buildName

    public static String buildName(String interfaceName,
                                   String featureName)

  Build the name for the feature capability definition.

  Parameters
    `interfaceName` - The SPI interface name for the feature.
    `featureName` - The feature name.
  Returns
    The name.

### buildId

    public static String buildId(String interfaceName,
                                 String featureName)

  Build hte id for the feature capability definition.

  Parameters
    `interfaceName` - The SPI interface name for the feature.
    `featureName` - The feature name.
  Returns
    The id.

### getFeatureCapability

    public IFeatureCapabilityType getFeatureCapability()

  Get the feature capability type for this feature capability definition.

  Returns
    The feature capability.

### getInterfaceName

    public String getInterfaceName()

  Get the interface name for this feature capability definition.

  Returns
    The interface name.

### equals

    public boolean equals(Object obj)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `Object`
  Parameters
    `obj` - the reference object with which to compare.
  Returns
    `true` if this object is the same as the obj argument; `false` otherwise.

### hashCode

    public int hashCode()

  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by

  Overrides:
    `hashCode` in class `Object`
  Returns
    a hash code value for this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved